%global stackname genpy
%global gitrev c4d0d8d
Name:           python-%{stackname}
Version:        0.3.7
Release:        2.git%{gitrev}%{?dist}
Summary:        Python ROS message and service generation

License:        BSD
URL:            http://ros.org/
#wget --content-disposition https://github.com/wg-debs/genpy-release/tarball/upstream/0.3.7
Source0:        wg-debs-%{stackname}-release-upstream-%{version}-0-g%{gitrev}.tar.gz
# Move /usr/etc/langs to /etc/ros-langs
Patch0:         ros-%{stackname}-langs.patch
BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  python-setuptools-devel
BuildRequires:  ros-catkin
BuildRequires:  ros-genmsg

%description
genpy generates ROS Python messages from message definition files

%prep
%setup -q -n wg-debs-%{stackname}-release-3276091
%patch0 -p1 -b .langs

%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{stackname}/bin

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_usr}/lib/pkgconfig/%{stackname}.pc $RPM_BUILD_ROOT/%{_datadir}/pkgconfig

%files
%doc
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/ros-langs/%{stackname}
%{_datadir}/%{stackname}
%{_datadir}/pkgconfig/*.pc
%{python_sitelib}/%{stackname}
%{python_sitelib}/*egg-info


%changelog
* Mon Mar 25 2013 Rich Mattes <richmattes@gmail.com> - 0.3.7-2.gitc4d0d8d
- Rename to python-genpy

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.3.7-1.gitc4d0d8d
- Initial package
